# Set boostrap to 1 for initial bootstrapping when gtk3 is not yet built
%global bootstrap 0

Name:           adwaita-icon-theme
Version:        3.28.0
Release:        1%{?dist}
Summary:        Adwaita icon theme

License:        LGPLv3+ or CC-BY-SA
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/adwaita-icon-theme/3.28/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  intltool
BuildRequires:  librsvg2
%if ! 0%{bootstrap}
BuildRequires:  /usr/bin/gtk-encode-symbolic-svg
%endif

Requires:       adwaita-cursor-theme = %{version}-%{release}

%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%package -n     adwaita-cursor-theme
Summary:        Adwaita cursor theme

%description -n adwaita-cursor-theme
The adwaita-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the pkgconfig file for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

touch $RPM_BUILD_ROOT%{_datadir}/icons/Adwaita/icon-theme.cache

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%license COPYING*
%dir %{_datadir}/icons/Adwaita/
%{_datadir}/icons/Adwaita/8x8/
%{_datadir}/icons/Adwaita/16x16/
%{_datadir}/icons/Adwaita/22x22/
%{_datadir}/icons/Adwaita/24x24/
%{_datadir}/icons/Adwaita/32x32/
%{_datadir}/icons/Adwaita/48x48/
%if ! 0%{bootstrap}
%{_datadir}/icons/Adwaita/64x64/
%{_datadir}/icons/Adwaita/96x96/
%endif
%{_datadir}/icons/Adwaita/256x256/
%{_datadir}/icons/Adwaita/512x512/
%{_datadir}/icons/Adwaita/scalable/
%{_datadir}/icons/Adwaita/scalable-up-to-32/
%{_datadir}/icons/Adwaita/index.theme
%ghost %{_datadir}/icons/Adwaita/icon-theme.cache

%files -n adwaita-cursor-theme
%license COPYING*
%dir %{_datadir}/icons/Adwaita/
%{_datadir}/icons/Adwaita/cursors/

%files devel
%{_datadir}/pkgconfig/adwaita-icon-theme.pc

%changelog
* Wed Mar 14 2018 Kalev Lember <klember@redhat.com> - 3.28.0-1
- Update to 3.28.0
- Resolves: #1567131

* Wed Oct 18 2016 Florian Müllner <fmuellner@redhat.con> - 3.26.0-1
- Update to 3.26.0
  Related: #1481381

* Wed Sep 21 2016 Kalev Lember <klember@redhat.com> - 3.22.0-1
- Update to 3.22.0
- Resolves: #1386763

* Thu Oct 30 2014 Richard Hughes <rhughes@redhat.com> - 3.14.1-1
- Update to 3.14.1

* Tue Oct 28 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-3
- Split out adwaita-cursor-theme subpackage for alternate desktop spins
  (#1157324)

* Tue Oct 28 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-2
- Add bootstrap toggle for initial boostrapping when gtk3 is not yet built

* Tue Sep 23 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Update to 3.14.0

* Tue Sep 02 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.91-1
- Update to 3.13.91

* Sun Aug 17 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.5-1
- Update to 3.13.5

* Mon Jul 14 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.4-1
- Update to 3.13.4

* Thu Jun 26 2014 Richard Hughes <rhughes@redhat.com> - 3.13.3-1
- Update to 3.13.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.2-1
- Update to 3.13.2

* Wed May 07 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.1-2
- Replace adwaita-cursor-theme subpackage from gnome-themes-standard

* Mon Apr 28 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.1-1
- Initial Fedora packaging
